# enable for snapshots
#global snap 20141025

Summary: Gstreamer phonon-qt5 backend
Name:    phonon-qt5-backend-gstreamer
Version: 4.8.2
Release: 2%{?dist}

License: LGPLv2+
URL:     http://phonon.kde.org/
%if 0%{?snap:1}
Source0: phonon-backend-gstreamer-%{version}-%{snap}.tar.xz
# run this script to generate a snapshot tarball
Source1: phonon-gstreamer_snapshot.sh
%else
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/phonon/phonon-backend-gstreamer/%{version}/src/phonon-backend-gstreamer-%{version}.tar.xz
%endif

## upstream patches

## upstreamable patches
# fix FTBFS against gstreamer-1.5+ that needs >1 include dir
Patch50: phonon-gstreamer-gst15_include_dirs.patch

BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-app-1.0) pkgconfig(gstreamer-audio-1.0) pkgconfig(gstreamer-video-1.0)

Requires: gstreamer1-plugins-good

BuildRequires: cmake
BuildRequires: pkgconfig(phonon4qt5) >= 4.7.80
BuildRequires: pkgconfig(Qt5OpenGL)

%global phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.7.80)

Provides: phonon-qt5-backend%{?_isa} = %{phonon_version}
%{?_qt5_version:Requires: qt5-qtbase%{?_isa} >= %{_qt5_version}}
Requires: gstreamer1-plugins-good

%description
%{summary}.


%prep
%setup -q -n phonon-backend-gstreamer-%{version}

%patch50 -p1 -b .gst15_include_dirs

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DUSE_INSTALL_PLUGIN:BOOL=ON \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
rm -fv %{buildroot}%{_datadir}/icons/hicolor/*/apps/phonon-gstreamer.*


%files
%license COPYING.LIB
%{_qt5_plugindir}/phonon4qt5_backend/phonon_gstreamer.so


%changelog
* Wed Apr 06 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-2
- rename phonon-backend-gstreamer => phonon-qt5-backend-gstreamer

* Mon Mar 21 2016 Daniel Vratil <dvratil@fedoraproject.org> - 4.8.2-1
- Phonon for EPEL, forked-off phonon-backend-gstreamer.spec
